Manifest-Version: 1.0
Bnd-LastModified: 1750172646154
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 121.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="3.0.0",com.life
 ray.announcements.kernel.constants;version="1.0.0",com.liferay.announ
 cements.kernel.exception;version="1.0.0";uses:="com.liferay.portal.ke
 rnel.exception",com.liferay.announcements.kernel.model;version="4.2.0
 ";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.ds
 l,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation
 ,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.model.change
 .tracking,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.
 kernel.util",com.liferay.announcements.kernel.service;version="2.8.0"
 ;uses:="com.liferay.announcements.kernel.model,com.liferay.exportimpo
 rt.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.qu
 ery,com.liferay.portal.kernel.change.tracking,com.liferay.portal.kern
 el.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.security.access.control,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.service.chang
 e.tracking,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.service.persiste
 nce;version="4.0.0";uses:="com.liferay.announcements.kernel.exception
 ,com.liferay.announcements.kernel.model,com.liferay.portal.kernel.dao
 .orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.serv
 ice.persistence,com.liferay.portal.kernel.service.persistence.change.
 tracking,com.liferay.portal.kernel.util",com.liferay.announcements.ke
 rnel.util;version="2.0.0";uses:="com.liferay.portal.kernel.exception,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.pe
 rmission,com.liferay.portal.kernel.theme",com.liferay.asset.kernel;ve
 rsion="2.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.porta
 l.kernel.exception",com.liferay.asset.kernel.configuration.provider;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.module.configuration"
 ,com.liferay.asset.kernel.exception;version="3.0.1";uses:="com.lifera
 y.asset.kernel.model,com.liferay.portal.kernel.exception",com.liferay
 .asset.kernel.model;version="10.0.0";uses:="com.liferay.dynamic.data.
 mapping.kernel,com.liferay.exportimport.kernel.lar,com.liferay.petra.
 sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.anno
 tation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.
 change.tracking,com.liferay.portal.kernel.model.wrapper,com.liferay.p
 ortal.kernel.portlet,com.liferay.portal.kernel.resource.bundle,com.li
 feray.portal.kernel.security.permission,com.liferay.portal.kernel.the
 me,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.s
 ervlet.http",com.liferay.asset.kernel.model.adapter;version="3.1.0";u
 ses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.model"
 ,com.liferay.asset.kernel.search;version="1.0.0";uses:="com.liferay.a
 sset.kernel.service.persistence,com.liferay.portal.kernel.search",com
 .liferay.asset.kernel.service;version="10.0.0";uses:="com.liferay.ass
 et.kernel.model,com.liferay.asset.kernel.service.persistence,com.life
 ray.exportimport.kernel.lar,com.liferay.petra.function,com.liferay.pe
 tra.sql.dsl.query,com.liferay.portal.kernel.cache.thread.local,com.li
 feray.portal.kernel.change.tracking,com.liferay.portal.kernel.dao.orm
 ,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.increm
 ent,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jsonwebs
 ervice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.sear
 ch,com.liferay.portal.kernel.security.access.control,com.liferay.port
 al.kernel.service,com.liferay.portal.kernel.service.change.tracking,c
 om.liferay.portal.kernel.service.permission,com.liferay.portal.kernel
 .service.persistence,com.liferay.portal.kernel.service.persistence.ch
 ange.tracking,com.liferay.portal.kernel.systemevent,com.liferay.porta
 l.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.asse
 t.kernel.service.persistence;version="12.0.0";uses:="com.liferay.asse
 t.kernel.exception,com.liferay.asset.kernel.model,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.service.persistence,com.liferay.portal.kernel.service.persisten
 ce.change.tracking,com.liferay.portal.kernel.util",com.liferay.asset.
 kernel.util;version="2.0.0",com.liferay.asset.kernel.validator;versio
 n="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.cou
 nter.kernel;version="2.2.0",com.liferay.counter.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.c
 ounter.kernel.model;version="4.1.0";uses:="com.liferay.petra.sql.dsl,
 com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,c
 om.liferay.portal.kernel.bean,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.model.wrapper,com.liferay.portal.kernel.util",com.
 liferay.counter.kernel.service;version="2.2.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.transaction",com.liferay.counter.kernel.service.persisten
 ce;version="2.0.2",com.liferay.document.library.kernel;version="1.0.0
 ";uses:="com.liferay.portal.kernel.exception",com.liferay.document.li
 brary.kernel.antivirus;version="3.1.0";uses:="com.liferay.portal.kern
 el.exception",com.liferay.document.library.kernel.background.task;ver
 sion="1.0.0",com.liferay.document.library.kernel.document.conversion;
 version="2.0.0",com.liferay.document.library.kernel.exception;version
 ="4.2.0";uses:="com.liferay.portal.kernel.exception",com.liferay.docu
 ment.library.kernel.model;version="8.2.0";uses:="com.liferay.dynamic.
 data.mapping.kernel,com.liferay.expando.kernel.model,com.liferay.expo
 rtimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.d
 sl.base,com.liferay.portal.kernel.annotation,com.liferay.portal.kerne
 l.bean,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 lock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.
 change.tracking,com.liferay.portal.kernel.model.wrapper,com.liferay.p
 ortal.kernel.repository.model,com.liferay.portal.kernel.util",com.lif
 eray.document.library.kernel.service;version="14.0.0";uses:="com.life
 ray.asset.kernel.model,com.liferay.document.library.kernel.exception,
 com.liferay.document.library.kernel.model,com.liferay.dynamic.data.ma
 pping.kernel,com.liferay.exportimport.kernel.lar,com.liferay.petra.fu
 nction,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.cach
 e.thread.local,com.liferay.portal.kernel.change.tracking,com.liferay.
 portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.increment,com.liferay.portal.kernel.jsonwebservice,com
 .liferay.portal.kernel.lock,com.liferay.portal.kernel.messaging.async
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.repository
 .model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.sec
 urity.access.control,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.service.change.tracking,com.liferay.portal.kernel.service
 .permission,com.liferay.portal.kernel.service.persistence,com.liferay
 .portal.kernel.service.persistence.change.tracking,com.liferay.portal
 .kernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay
 .portal.kernel.util",com.liferay.document.library.kernel.service.pers
 istence;version="7.0.0";uses:="com.liferay.document.library.kernel.ex
 ception,com.liferay.document.library.kernel.model,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.service.persistence,com.liferay.portal.kernel.service.persisten
 ce.change.tracking,com.liferay.portal.kernel.util",com.liferay.docume
 nt.library.kernel.store;version="9.0.0";uses:="com.liferay.petra.func
 tion,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.tr
 ansaction",com.liferay.document.library.kernel.util;version="10.0.0";
 uses:="com.liferay.document.library.kernel.exception,com.liferay.docu
 ment.library.kernel.model,com.liferay.exportimport.kernel.lar,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.repository.mod
 el,com.liferay.portal.kernel.search,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util,com.l
 iferay.portal.kernel.xml,javax.portlet",com.liferay.document.library.
 kernel.util.comparator;version="3.0.0";uses:="com.liferay.document.li
 brary.kernel.model,com.liferay.portal.kernel.repository.model,com.lif
 eray.portal.kernel.util",com.liferay.document.library.kernel.versioni
 ng;version="1.0.0";uses:="com.liferay.document.library.kernel.model",
 com.liferay.dynamic.data.mapping.kernel;version="6.0.0";uses:="com.li
 feray.expando.kernel.model,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.service,com.lifer
 ay.portal.kernel.theme",com.liferay.expando.kernel.exception;version=
 "2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.expan
 do.kernel.model;version="6.0.0";uses:="com.liferay.petra.sql.dsl,com.
 liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.l
 iferay.portal.kernel.bean,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.model.change.tracking,com.liferay.portal.kernel.model.wr
 apper,com.liferay.portal.kernel.service,com.liferay.portal.kernel.uti
 l",com.liferay.expando.kernel.model.adapter;version="4.0.0";uses:="co
 m.liferay.expando.kernel.model,com.liferay.portal.kernel.model",com.l
 iferay.expando.kernel.service;version="1.10.0";uses:="com.liferay.exp
 ando.kernel.model,com.liferay.petra.function,com.liferay.petra.sql.ds
 l.query,com.liferay.portal.kernel.change.tracking,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.search,com.liferay.portal.
 kernel.security.access.control,com.liferay.portal.kernel.service,com.
 liferay.portal.kernel.service.change.tracking,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.transaction,com.liferay.por
 tal.kernel.util",com.liferay.expando.kernel.service.permission;versio
 n="2.0.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.security.permission",com.l
 iferay.expando.kernel.service.persistence;version="3.3.0";uses:="com.
 liferay.expando.kernel.exception,com.liferay.expando.kernel.model,com
 .liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.
 liferay.portal.kernel.service.persistence,com.liferay.portal.kernel.s
 ervice.persistence.change.tracking,com.liferay.portal.kernel.util",co
 m.liferay.expando.kernel.util;version="5.0.0";uses:="com.liferay.expa
 ndo.kernel.model,com.liferay.portal.kernel.service",com.liferay.expor
 timport.kernel.background.task;version="1.4.0",com.liferay.exportimpo
 rt.kernel.configuration;version="5.0.0";uses:="com.liferay.exportimpo
 rt.kernel.model,com.liferay.portal.kernel.backgroundtask,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.model,javax.portlet
 ",com.liferay.exportimport.kernel.configuration.constants;version="1.
 0.0",com.liferay.exportimport.kernel.controller;version="2.0.0";uses:
 ="com.liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel
 .model",com.liferay.exportimport.kernel.exception;version="2.1.0";use
 s:="com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.exc
 eption",com.liferay.exportimport.kernel.lar;version="5.0.0";uses:="co
 m.liferay.exportimport.kernel.model,com.liferay.portal.kernel.backgro
 undtask,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.repository.model,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.
 util,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.zip,java
 x.portlet",com.liferay.exportimport.kernel.lifecycle;version="4.0.0";
 uses:="com.liferay.exportimport.kernel.lar,com.liferay.exportimport.k
 ernel.model,com.liferay.portal.kernel.model",com.liferay.exportimport
 .kernel.lifecycle.constants;version="1.0.0",com.liferay.exportimport.
 kernel.model;version="6.0.0";uses:="com.liferay.petra.sql.dsl,com.lif
 eray.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.life
 ray.portal.kernel.bean,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.model.wrapper,com.liferay.portal.kernel.util",com.liferay
 .exportimport.kernel.service;version="2.10.0";uses:="com.liferay.expo
 rtimport.kernel.lar,com.liferay.exportimport.kernel.model,com.liferay
 .petra.sql.dsl.query,com.liferay.portal.kernel.dao.orm,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.jsonwebservice,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.security.access.control,com.liferay.portal.kernel.ser
 vice,com.liferay.portal.kernel.service.persistence,com.liferay.portal
 .kernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay
 .portal.kernel.util,javax.portlet",com.liferay.exportimport.kernel.se
 rvice.persistence;version="2.5.0";uses:="com.liferay.exportimport.ker
 nel.exception,com.liferay.exportimport.kernel.model,com.liferay.porta
 l.kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.service.persistence,com.liferay.portal.kernel.util",com.lifer
 ay.exportimport.kernel.staging;version="2.3.0";uses:="com.liferay.exp
 ortimport.kernel.lar,com.liferay.exportimport.kernel.model,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.security.auth,com.lifer
 ay.portal.kernel.util,com.liferay.portal.kernel.workflow,com.liferay.
 portal.kernel.xml,javax.portlet,javax.servlet.http",com.liferay.expor
 timport.kernel.staging.constants;version="1.0.0",com.liferay.exportim
 port.kernel.staging.permission;version="1.0.0";uses:="com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.security.permission",com.l
 iferay.exportimport.kernel.xstream;version="2.0.0",com.liferay.layout
 .admin.kernel.model;version="1.0.0";uses:="com.liferay.portal.kernel.
 model",com.liferay.layout.admin.kernel.visibility;version="2.0.0",com
 .liferay.layout.seo.kernel;version="2.0.0";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.theme,com.liferay.portal.kernel.util",com.liferay.layout.utilit
 y.page.kernel;version="1.1.0";uses:="com.liferay.layout.utility.page.
 kernel.request.contributor,javax.servlet,javax.servlet.http",com.life
 ray.layout.utility.page.kernel.constants;version="2.1.0",com.liferay.
 layout.utility.page.kernel.request.contributor;version="1.0.0";uses:=
 "com.liferay.portal.kernel.servlet",com.liferay.layouts.admin.kernel.
 util;version="121.0.1",com.liferay.mail.kernel.auth.token.provider;ve
 rsion="2.0.0",com.liferay.mail.kernel.model;version="1.1.0";uses:="ja
 vax.mail.internet",com.liferay.mail.kernel.service;version="5.0.0";us
 es:="com.liferay.mail.kernel.model,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.transaction,javax.mail",com.liferay.mail.
 kernel.template;version="2.0.0";uses:="com.liferay.portal.kernel.util
 ",com.liferay.portal.kernel.annotation;version="7.0.0",com.liferay.po
 rtal.kernel.aop;version="1.0.1",com.liferay.portal.kernel.application
 .type;version="1.0.0",com.liferay.portal.kernel.audit;version="8.0.0"
 ;uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .json",com.liferay.portal.kernel.backgroundtask;version="11.0.0";uses
 :="com.liferay.petra.lang,com.liferay.portal.kernel.backgroundtask.di
 splay,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 essaging,com.liferay.portal.kernel.model,com.liferay.portal.kernel.re
 pository.model,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.util",com.liferay.portal.kernel.backgroundtask.constants;versio
 n="1.1.0",com.liferay.portal.kernel.backgroundtask.display;version="3
 .0.0";uses:="com.liferay.portal.kernel.backgroundtask,javax.servlet.h
 ttp",com.liferay.portal.kernel.bean;version="10.1.0";uses:="javax.por
 tlet,javax.servlet.http",com.liferay.portal.kernel.cache;version="14.
 0.0";uses:="com.liferay.portal.kernel.transaction",com.liferay.portal
 .kernel.cache.index;version="6.2.0";uses:="com.liferay.portal.kernel.
 cache",com.liferay.portal.kernel.cache.key;version="8.0.0";uses:="com
 .liferay.petra.string",com.liferay.portal.kernel.cache.thread.local;v
 ersion="2.0.0";uses:="com.liferay.portal.kernel.transaction",com.life
 ray.portal.kernel.cache.transactional;version="3.1.0";uses:="com.life
 ray.portal.kernel.cache,com.liferay.portal.kernel.transaction",com.li
 feray.portal.kernel.cal;version="7.0.0",com.liferay.portal.kernel.cap
 tcha;version="7.0.0";uses:="com.liferay.portal.kernel.exception,javax
 .portlet,javax.servlet.http",com.liferay.portal.kernel.change.trackin
 g;version="2.2.0";uses:="com.liferay.petra.lang,com.liferay.portal.ke
 rnel.exception",com.liferay.portal.kernel.change.tracking.sql;version
 ="1.0.0";uses:="com.liferay.petra.lang",com.liferay.portal.kernel.clu
 ster;version="9.0.0";uses:="com.liferay.portal.kernel.concurrent,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.messaging,c
 om.liferay.portal.kernel.util",com.liferay.portal.kernel.cluster.mess
 aging;version="7.1.0";uses:="com.liferay.portal.kernel.cluster,com.li
 feray.portal.kernel.messaging",com.liferay.portal.kernel.comment;vers
 ion="5.1.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.po
 rtal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.security.permission,com.
 liferay.portal.kernel.service,com.liferay.ratings.kernel.model",com.l
 iferay.portal.kernel.comment.display.context;version="1.0.0";uses:="c
 om.liferay.portal.kernel.comment,com.liferay.portal.kernel.display.co
 ntext,com.liferay.portal.kernel.exception,javax.servlet.http",com.lif
 eray.portal.kernel.concurrent;version="8.1.0",com.liferay.portal.kern
 el.configuration;version="7.0.0",com.liferay.portal.kernel.cookies;ve
 rsion="3.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.settings,javax.servlet.http",com.liferay.portal.kernel.
 cookies.constants;version="1.1.0",com.liferay.portal.kernel.dao.db;ve
 rsion="14.0.0";uses:="com.liferay.petra.function,com.liferay.portal.k
 ernel.util,javax.naming,javax.sql",com.liferay.portal.kernel.dao.jdbc
 ;version="9.0.0";uses:="javax.naming,javax.sql",com.liferay.portal.ke
 rnel.dao.jdbc.aop;version="8.0.0",com.liferay.portal.kernel.dao.jdbc.
 pool.metrics;version="1.0.0",com.liferay.portal.kernel.dao.orm;versio
 n="12.0.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.pet
 ra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel
 .cache,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.service.persistence,com.liferay.portal.
 kernel.transaction,com.liferay.portal.kernel.util",com.liferay.portal
 .kernel.dao.search;version="9.0.0";uses:="com.liferay.petra.function,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.search,com.liferay.portal.kernel.util,javax.
 portlet,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.d
 b.partition;version="1.0.0",com.liferay.portal.kernel.dependency.mana
 ger;version="3.0.0",com.liferay.portal.kernel.deploy.auto;version="8.
 0.0";uses:="com.liferay.portal.kernel.deploy.auto.context,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.plugin",com.lifera
 y.portal.kernel.deploy.auto.context;version="7.0.0";uses:="com.lifera
 y.portal.kernel.plugin",com.liferay.portal.kernel.deploy.hot;version=
 "7.1.2";uses:="com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.messaging,com.liferay.portal.kernel.plugin,com.liferay.portal
 .kernel.util,javax.servlet",com.liferay.portal.kernel.display.context
 ;version="2.0.0";uses:="javax.servlet.http,org.osgi.framework",com.li
 feray.portal.kernel.display.context.helper;version="2.0.0";uses:="com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com.li
 feray.portal.kernel.security.permission,com.liferay.portal.kernel.the
 me,javax.servlet.http",com.liferay.portal.kernel.editor;version="8.0.
 0",com.liferay.portal.kernel.editor.configuration;version="1.1.0";use
 s:="com.liferay.portal.kernel.json,com.liferay.portal.kernel.portlet,
 com.liferay.portal.kernel.theme",com.liferay.portal.kernel.editor.con
 stants;version="1.0.0",com.liferay.portal.kernel.encryptor;version="1
 .0.0",com.liferay.portal.kernel.events;version="6.3.0";uses:="com.lif
 eray.portal.kernel.exception,javax.portlet,javax.servlet.http",com.li
 feray.portal.kernel.exception;version="13.3.0";uses:="com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.security.auth,com.liferay.
 portal.kernel.util",com.liferay.portal.kernel.facebook;version="7.0.0
 ";uses:="com.liferay.portal.kernel.json,javax.portlet",com.liferay.po
 rtal.kernel.feature.flag;version="1.0.0",com.liferay.portal.kernel.fo
 rmat;version="7.0.0",com.liferay.portal.kernel.frontend.esm;version="
 1.0.0",com.liferay.portal.kernel.frontend.source.map;version="1.0.0",
 com.liferay.portal.kernel.group.capability;version="1.0.0";uses:="com
 .liferay.portal.kernel.model",com.liferay.portal.kernel.image;version
 ="12.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model",com.liferay.portal.kernel.increment;version="7.1.0";
 uses:="com.liferay.petra.lang",com.liferay.portal.kernel.instance;ver
 sion="1.0.0";uses:="com.liferay.portal.kernel.model",com.liferay.port
 al.kernel.instance.lifecycle;version="2.1.0";uses:="com.liferay.porta
 l.kernel.model",com.liferay.portal.kernel.interval;version="1.0.0";us
 es:="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.i
 o;version="9.0.0",com.liferay.portal.kernel.io.constants;version="1.0
 .0",com.liferay.portal.kernel.io.unsync;version="8.0.0";uses:="com.li
 feray.petra.string",com.liferay.portal.kernel.jazzy;version="1.0.0",c
 om.liferay.portal.kernel.jmx.model;version="7.0.0";uses:="javax.manag
 ement",com.liferay.portal.kernel.jndi;version="7.0.0";uses:="javax.na
 ming",com.liferay.portal.kernel.json;version="12.1.0";uses:="com.life
 ray.petra.function,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.log",com.liferay.portal.kernel.jsonwebservice;version="9.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.util,javax.servlet,javax.servlet.http",com.liferay.portal.kernel
 .language;version="11.0.0";uses:="com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.resource.bundle,javax.portlet,javax.servle
 t.http",com.liferay.portal.kernel.language.constants;version="1.0.0",
 com.liferay.portal.kernel.layoutconfiguration.util;version="4.0.0";us
 es:="com.liferay.petra.string,com.liferay.portal.kernel.model,javax.s
 ervlet.http",com.liferay.portal.kernel.license;version="1.0.0",com.li
 feray.portal.kernel.license.messaging;version="3.0.0",com.liferay.por
 tal.kernel.license.util;version="1.0.0";uses:="com.liferay.portal.ker
 nel.json,com.liferay.portal.kernel.license",com.liferay.portal.kernel
 .lock;version="9.0.0";uses:="com.liferay.portal.kernel.exception",com
 .liferay.portal.kernel.log;version="8.0.0",com.liferay.portal.kernel.
 login;version="1.0.0",com.liferay.portal.kernel.lpkg;version="2.0.0",
 com.liferay.portal.kernel.management;version="8.0.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.management.jmx;
 version="6.2.0";uses:="com.liferay.portal.kernel.jmx.model,com.lifera
 y.portal.kernel.management,javax.management",com.liferay.portal.kerne
 l.messaging;version="17.0.0";uses:="com.liferay.portal.kernel.excepti
 on",com.liferay.portal.kernel.messaging.async;version="6.2.0",com.lif
 eray.portal.kernel.messaging.config;version="11.0.0";uses:="com.lifer
 ay.portal.kernel.messaging",com.liferay.portal.kernel.metadata;versio
 n="10.0.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay
 .portal.kernel.exception",com.liferay.portal.kernel.microsofttranslat
 or;version="7.0.0";uses:="com.liferay.portal.kernel.exception",com.li
 feray.portal.kernel.mobile.device;version="9.0.0";uses:="javax.servle
 t.http",com.liferay.portal.kernel.model;version="30.4.0";uses:="com.l
 iferay.asset.kernel.model,com.liferay.expando.kernel.model,com.lifera
 y.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra
 .sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.portal
 .kernel.application.type,com.liferay.portal.kernel.bean,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.por
 tal.kernel.model.change.tracking,com.liferay.portal.kernel.model.port
 let,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel
 .notifications,com.liferay.portal.kernel.plugin,com.liferay.portal.ke
 rnel.pop,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.
 scheduler,com.liferay.portal.kernel.search,com.liferay.portal.kernel.
 security.permission,com.liferay.portal.kernel.security.permission.pro
 pagator,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervlet,com.liferay.portal.kernel.template,com.liferay.portal.kernel.t
 heme,com.liferay.portal.kernel.trash,com.liferay.portal.kernel.util,c
 om.liferay.portal.kernel.webdav,com.liferay.portal.kernel.workflow,co
 m.liferay.portal.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.life
 ray.social.kernel.model,javax.portlet,javax.servlet,javax.servlet.htt
 p",com.liferay.portal.kernel.model.adapter;version="5.1.0";uses:="com
 .liferay.portal.kernel.model",com.liferay.portal.kernel.model.adapter
 .builder;version="1.0.0",com.liferay.portal.kernel.model.cache;versio
 n="1.0.0",com.liferay.portal.kernel.model.change.tracking;version="3.
 0.0";uses:="com.liferay.portal.kernel.model",com.liferay.portal.kerne
 l.model.dao;version="2.5.0",com.liferay.portal.kernel.model.impl;vers
 ion="7.4.0";uses:="com.liferay.expando.kernel.model,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.security.permission,com.liferay.portal.kernel.service,javax.s
 ervlet.http",com.liferay.portal.kernel.model.portlet;version="2.0.0";
 uses:="com.liferay.petra.string,javax.portlet",com.liferay.portal.ker
 nel.model.role;version="1.2.0",com.liferay.portal.kernel.model.versio
 n;version="3.0.0",com.liferay.portal.kernel.model.wrapper;version="3.
 0.0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.service",com.liferay.portal.kernel.
 module.configuration;version="2.1.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 settings",com.liferay.portal.kernel.module.framework;version="2.0.0",
 com.liferay.portal.kernel.module.framework.service;version="1.0.1";us
 es:="com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.
 util",com.liferay.portal.kernel.monitoring;version="8.0.0";uses:="com
 .liferay.portal.kernel.exception,javax.portlet",com.liferay.portal.ke
 rnel.notifications;version="11.1.0";uses:="com.liferay.asset.kernel.m
 odel,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.js
 on,com.liferay.portal.kernel.model,com.liferay.portal.kernel.service"
 ,com.liferay.portal.kernel.openid;version="1.0.0",com.liferay.portal.
 kernel.parsers.bbcode;version="7.0.0",com.liferay.portal.kernel.patch
 er;version="8.0.0",com.liferay.portal.kernel.plugin;version="7.0.0";u
 ses:="com.liferay.portal.kernel.util",com.liferay.portal.kernel.pop;v
 ersion="7.0.0";uses:="com.liferay.portal.kernel.exception,javax.mail"
 ,com.liferay.portal.kernel.portlet;version="26.0.0";uses:="com.lifera
 y.asset.kernel.model,com.liferay.expando.kernel.model,com.liferay.exp
 ortimport.kernel.lar,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.notifications,com.liferay.portal.kernel.pop,com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.security.permission,com.lif
 eray.portal.kernel.security.permission.propagator,com.liferay.portal.
 kernel.servlet,com.liferay.portal.kernel.settings,com.liferay.portal.
 kernel.template,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.trash,com.liferay.portal.kernel.util,com.liferay.portal.kernel.w
 ebdav,com.liferay.portal.kernel.workflow,com.liferay.portal.kernel.xm
 l,com.liferay.portal.kernel.xmlrpc,com.liferay.social.kernel.model,ja
 vax.portlet,javax.portlet.annotations,javax.portlet.filter,javax.serv
 let,javax.servlet.http",com.liferay.portal.kernel.portlet.async;versi
 on="1.0.1";uses:="javax.portlet",com.liferay.portal.kernel.portlet.br
 idges.mvc;version="6.1.0";uses:="com.liferay.portal.kernel.portlet,co
 m.liferay.portal.kernel.transaction,javax.portlet",com.liferay.portal
 .kernel.portlet.bridges.mvc.constants;version="1.0.0",com.liferay.por
 tal.kernel.portlet.configuration.icon;version="5.0.0";uses:="com.life
 ray.osgi.service.tracker.collections.map,javax.portlet,javax.servlet,
 javax.servlet.http,org.osgi.framework",com.liferay.portal.kernel.port
 let.configuration.icon.locator;version="1.0.0";uses:="javax.portlet",
 com.liferay.portal.kernel.portlet.constants;version="1.4.0",com.lifer
 ay.portal.kernel.portlet.render;version="1.0.0";uses:="com.liferay.po
 rtal.kernel.model,javax.servlet.http",com.liferay.portal.kernel.portl
 et.toolbar;version="1.0.0";uses:="com.liferay.portal.kernel.servlet.t
 aglib.ui,javax.portlet",com.liferay.portal.kernel.portlet.toolbar.con
 tributor;version="1.1.0";uses:="com.liferay.portal.kernel.servlet.tag
 lib.ui,javax.portlet",com.liferay.portal.kernel.portlet.toolbar.contr
 ibutor.locator;version="1.0.0";uses:="com.liferay.portal.kernel.portl
 et.toolbar.contributor,javax.portlet",com.liferay.portal.kernel.portl
 et.url.builder;version="2.0.0";uses:="com.liferay.portal.kernel.portl
 et,javax.portlet,javax.portlet.annotations",com.liferay.portal.kernel
 .portletdisplaytemplate;version="7.0.0";uses:="javax.servlet.http",co
 m.liferay.portal.kernel.portletfilerepository;version="5.0.0";uses:="
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.s
 earch,com.liferay.portal.kernel.service,com.liferay.portal.kernel.the
 me,com.liferay.portal.kernel.util",com.liferay.portal.kernel.redirect
 ;version="1.0.0",com.liferay.portal.kernel.regex;version="1.0.0",com.
 liferay.portal.kernel.repository;version="13.0.0";uses:="com.liferay.
 asset.kernel.service,com.liferay.document.library.kernel.model,com.li
 feray.document.library.kernel.service,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.repository.capabilities,com.liferay.portal.k
 ernel.repository.model,com.liferay.portal.kernel.resource.bundle,com.
 liferay.portal.kernel.search,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.util",com.liferay.portal.kernel.repository.capabi
 lities;version="3.0.0";uses:="com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.repository,com.liferay.portal.kernel.repositor
 y.event,com.liferay.portal.kernel.repository.model,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.util",com.liferay.portal.ke
 rnel.repository.event;version="1.1.0";uses:="com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.repository.model,com.liferay.po
 rtal.kernel.repository.registry",com.liferay.portal.kernel.repository
 .friendly.url.resolver;version="2.0.0";uses:="com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.repository.model",com.liferay.
 portal.kernel.repository.http.header.customizer;version="1.0.0";uses:
 ="com.liferay.portal.kernel.repository.model",com.liferay.portal.kern
 el.repository.model;version="11.2.0";uses:="com.liferay.expando.kerne
 l.model,com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.l
 ock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.reposit
 ory.capabilities,com.liferay.portal.kernel.security.permission,com.li
 feray.portal.kernel.util",com.liferay.portal.kernel.repository.proxy;
 version="7.0.0";uses:="com.liferay.asset.kernel.service,com.liferay.d
 ocument.library.kernel.model,com.liferay.document.library.kernel.serv
 ice,com.liferay.expando.kernel.model,com.liferay.exportimport.kernel.
 lar,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.loc
 k,com.liferay.portal.kernel.repository,com.liferay.portal.kernel.repo
 sitory.capabilities,com.liferay.portal.kernel.repository.model,com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.security.permiss
 ion,com.liferay.portal.kernel.service,com.liferay.portal.kernel.util"
 ,com.liferay.portal.kernel.repository.registry;version="1.1.0";uses:=
 "com.liferay.portal.kernel.repository,com.liferay.portal.kernel.repos
 itory.capabilities,com.liferay.portal.kernel.repository.event",com.li
 feray.portal.kernel.repository.search;version="7.0.0";uses:="com.life
 ray.portal.kernel.search",com.liferay.portal.kernel.repository.util;v
 ersion="3.1.0";uses:="com.liferay.portal.kernel.repository.model",com
 .liferay.portal.kernel.resource;version="6.3.0",com.liferay.portal.ke
 rnel.resource.bundle;version="1.0.0",com.liferay.portal.kernel.resour
 ce.manager;version="1.0.0";uses:="com.liferay.portal.kernel.resource"
 ,com.liferay.portal.kernel.sanitizer;version="8.0.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.scheduler;versi
 on="18.1.0";uses:="com.liferay.petra.function,com.liferay.portal.kern
 el.exception,com.liferay.portal.kernel.messaging,com.liferay.portal.k
 ernel.scheduler.messaging,javax.portlet",com.liferay.portal.kernel.sc
 heduler.messaging;version="10.0.0";uses:="com.liferay.portal.kernel.m
 essaging,com.liferay.portal.kernel.scheduler",com.liferay.portal.kern
 el.scripting;version="9.0.0";uses:="com.liferay.portal.kernel.excepti
 on,javax.portlet",com.liferay.portal.kernel.search;version="20.2.0";u
 ses:="com.liferay.asset.kernel.model,com.liferay.expando.kernel.model
 ,com.liferay.petra.function,com.liferay.petra.string,com.liferay.port
 al.kernel.backgroundtask,com.liferay.portal.kernel.comment,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.por
 tal.kernel.repository.model,com.liferay.portal.kernel.search.facet,co
 m.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.searc
 h.geolocation,com.liferay.portal.kernel.search.query,com.liferay.port
 al.kernel.search.suggest,com.liferay.portal.kernel.security.permissio
 n,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.xml,javax
 .portlet,javax.servlet.http",com.liferay.portal.kernel.search.analysi
 s;version="2.0.0";uses:="com.liferay.portal.kernel.search",com.lifera
 y.portal.kernel.search.background.task;version="2.1.0",com.liferay.po
 rtal.kernel.search.dummy;version="5.0.0";uses:="com.liferay.portal.ke
 rnel.search,com.liferay.portal.kernel.search.filter,com.liferay.porta
 l.kernel.search.suggest,com.liferay.portal.kernel.security.permission
 ,javax.portlet",com.liferay.portal.kernel.search.facet;version="9.0.0
 ";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kernel.sea
 rch,com.liferay.portal.kernel.search.facet.collector,com.liferay.port
 al.kernel.search.facet.config,com.liferay.portal.kernel.search.facet.
 util,com.liferay.portal.kernel.search.filter",com.liferay.portal.kern
 el.search.facet.collector;version="6.3.0",com.liferay.portal.kernel.s
 earch.facet.config;version="8.0.0";uses:="com.liferay.portal.kernel.j
 son",com.liferay.portal.kernel.search.facet.faceted.searcher;version=
 "2.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.portal.k
 ernel.search.facet.util;version="7.0.0";uses:="com.liferay.portal.ker
 nel.search,com.liferay.portal.kernel.search.facet",com.liferay.portal
 .kernel.search.filter;version="1.0.0";uses:="com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.search.geolocation",com.liferay.po
 rtal.kernel.search.generic;version="3.0.0";uses:="com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.search.filter,com.liferay.por
 tal.kernel.search.query",com.liferay.portal.kernel.search.geolocation
 ;version="1.0.0",com.liferay.portal.kernel.search.highlight;version="
 1.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.portal.ke
 rnel.search.hits;version="2.0.0";uses:="com.liferay.portal.kernel.sea
 rch",com.liferay.portal.kernel.search.query;version="2.0.0";uses:="co
 m.liferay.portal.kernel.search,com.liferay.portal.kernel.search.gener
 ic",com.liferay.portal.kernel.search.reindexer;version="1.0.0",com.li
 feray.portal.kernel.search.result;version="1.0.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.search,javax.portle
 t",com.liferay.portal.kernel.search.suggest;version="3.1.1";uses:="co
 m.liferay.portal.kernel.search",com.liferay.portal.kernel.security;ve
 rsion="6.2.0",com.liferay.portal.kernel.security.access.control;versi
 on="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.security.auth,com.liferay.portal.kernel.security.auth.veri
 fier,javax.servlet.http",com.liferay.portal.kernel.security.auth;vers
 ion="6.1.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.po
 rtlet,com.liferay.portal.kernel.security.auth.verifier,com.liferay.po
 rtal.kernel.security.permission,javax.servlet.http,org.osgi.framework
 ,org.osgi.util.tracker",com.liferay.portal.kernel.security.auth.http;
 version="1.1.0";uses:="com.liferay.portal.kernel.exception,javax.serv
 let.http",com.liferay.portal.kernel.security.auth.session;version="1.
 0.0";uses:="com.liferay.portal.kernel.exception,javax.servlet.http",c
 om.liferay.portal.kernel.security.auth.tunnel;version="1.0.0";uses:="
 com.liferay.portal.kernel.security.auth,javax.servlet.http",com.lifer
 ay.portal.kernel.security.auth.verifier;version="2.0.0";uses:="com.li
 feray.portal.kernel.security.auth",com.liferay.portal.kernel.security
 .auto.login;version="2.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,javax.servlet.http",com.liferay.portal.kernel.security.exportimport
 ;version="1.0.0",com.liferay.portal.kernel.security.jaas;version="7.0
 .0";uses:="javax.security.auth,javax.security.auth.callback,javax.sec
 urity.auth.login,javax.security.auth.spi",com.liferay.portal.kernel.s
 ecurity.ldap;version="2.0.0";uses:="javax.naming.directory",com.lifer
 ay.portal.kernel.security.membershippolicy;version="1.0.0";uses:="com
 .liferay.asset.kernel.model,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.security.permiss
 ion,com.liferay.portal.kernel.util",com.liferay.portal.kernel.securit
 y.permission;version="7.0.0";uses:="com.liferay.petra.sql.dsl,com.lif
 eray.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query,com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.security.permission.contributor,com.liferay.portal.
 kernel.security.permission.propagator,com.liferay.portal.kernel.xml,j
 avax.servlet.http",com.liferay.portal.kernel.security.permission.comp
 arator;version="1.0.0",com.liferay.portal.kernel.security.permission.
 contributor;version="1.0.0";uses:="com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.security.permission",com.liferay.portal.kerne
 l.security.permission.propagator;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.exception,javax.portlet",com.liferay.portal.kernel.secur
 ity.permission.resource;version="2.3.0";uses:="com.liferay.exportimpo
 rt.kernel.staging.permission,com.liferay.petra.function,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.security.auth,com.liferay.portal.kernel.security.permissi
 on,com.liferay.portal.kernel.service,com.liferay.portal.kernel.workfl
 ow.permission",com.liferay.portal.kernel.security.permission.resource
 .definition;version="1.0.1";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.
 permission.resource",com.liferay.portal.kernel.security.permission.wr
 apper;version="1.0.0";uses:="com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.security.permission,com.liferay.portal.kernel.secur
 ity.permission.contributor",com.liferay.portal.kernel.security.pwd;ve
 rsion="4.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model",com.liferay.portal.kernel.security.service.acces
 s.policy;version="1.1.0",com.liferay.portal.kernel.security.sso;versi
 on="1.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.secur
 ity.xml;version="2.0.0";uses:="javax.xml.parsers,javax.xml.stream,jav
 ax.xml.transform,org.xml.sax",com.liferay.portal.kernel.service;versi
 on="25.1.0";uses:="com.liferay.announcements.kernel.model,com.liferay
 .expando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay
 .petra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.ke
 rnel.cache.thread.local,com.liferay.portal.kernel.change.tracking,com
 .liferay.portal.kernel.cluster,com.liferay.portal.kernel.dao.orm,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.li
 feray.portal.kernel.jsonwebservice,com.liferay.portal.kernel.messagin
 g.async,com.liferay.portal.kernel.model,com.liferay.portal.kernel.not
 ifications,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel
 .portlet,com.liferay.portal.kernel.repository.model,com.liferay.porta
 l.kernel.search,com.liferay.portal.kernel.security.access.control,com
 .liferay.portal.kernel.security.auth,com.liferay.portal.kernel.securi
 ty.permission,com.liferay.portal.kernel.service.change.tracking,com.l
 iferay.portal.kernel.service.configuration,com.liferay.portal.kernel.
 service.permission,com.liferay.portal.kernel.service.persistence,com.
 liferay.portal.kernel.service.persistence.change.tracking,com.liferay
 .portal.kernel.settings,com.liferay.portal.kernel.spring.aop,com.life
 ray.portal.kernel.systemevent,com.liferay.portal.kernel.theme,com.lif
 eray.portal.kernel.transaction,com.liferay.portal.kernel.upgrade,com.
 liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portle
 t,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.service
 .change.tracking;version="1.0.0";uses:="com.liferay.petra.function,co
 m.liferay.portal.kernel.model.change.tracking,com.liferay.portal.kern
 el.service.persistence.change.tracking,com.liferay.portal.kernel.tran
 saction",com.liferay.portal.kernel.service.configuration;version="1.1
 .1",com.liferay.portal.kernel.service.configuration.servlet;version="
 1.1.0";uses:="com.liferay.portal.kernel.service.configuration,javax.s
 ervlet",com.liferay.portal.kernel.service.http;version="1.0.0";uses:=
 "com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.ut
 il",com.liferay.portal.kernel.service.permission;version="5.0.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.s
 ecurity.permission,javax.portlet,javax.servlet.http",com.liferay.port
 al.kernel.service.persistence;version="22.1.0";uses:="com.liferay.pet
 ra.sql.dsl.query,com.liferay.portal.kernel.dao.db,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.service.persistence.change.tracking,com.liferay.portal.kernel.ut
 il,javax.sql",com.liferay.portal.kernel.service.persistence.change.tr
 acking;version="1.4.0";uses:="com.liferay.portal.kernel.change.tracki
 ng,com.liferay.portal.kernel.model.change.tracking,com.liferay.portal
 .kernel.service.persistence",com.liferay.portal.kernel.service.persis
 tence.change.tracking.helper;version="1.1.0";uses:="com.liferay.porta
 l.kernel.model.change.tracking",com.liferay.portal.kernel.service.per
 sistence.impl;version="4.1.0";uses:="com.liferay.petra.sql.dsl,com.li
 feray.petra.sql.dsl.query,com.liferay.petra.string,com.liferay.portal
 .kernel.configuration,com.liferay.portal.kernel.dao.db,com.liferay.po
 rtal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.service.persistence,com.liferay.portal.kernel.util,javax.sq
 l",com.liferay.portal.kernel.service.version;version="1.1.0";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.model.ve
 rsion",com.liferay.portal.kernel.servlet;version="12.1.0";uses:="com.
 liferay.petra.string,com.liferay.portal.kernel.log,com.liferay.portal
 .kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.life
 ray.portal.kernel.servlet.filters.compoundsessionid;version="7.0.0";u
 ses:="com.liferay.portal.kernel.servlet,javax.servlet.http",com.lifer
 ay.portal.kernel.servlet.filters.invoker;version="10.0.0";uses:="com.
 liferay.portal.kernel.util,javax.servlet,javax.servlet.http",com.life
 ray.portal.kernel.servlet.taglib;version="9.0.0";uses:="com.liferay.p
 etra.string,com.liferay.portal.kernel.log,javax.servlet,javax.servlet
 .http",com.liferay.portal.kernel.servlet.taglib.aui;version="10.1.0";
 uses:="com.liferay.petra.string,com.liferay.portal.kernel.util",com.l
 iferay.portal.kernel.servlet.taglib.ui;version="11.0.0";uses:="com.li
 feray.petra.string,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.util,javax.servlet,javax.
 servlet.http",com.liferay.portal.kernel.servlet.taglib.util;version="
 7.0.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.util
 ",com.liferay.portal.kernel.settings;version="5.0.0";uses:="com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.resource.manager,com.liferay.portal.kernel.settings.d
 efinition,javax.portlet",com.liferay.portal.kernel.settings.definitio
 n;version="2.0.0",com.liferay.portal.kernel.social;version="2.0.0";us
 es:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mo
 del,com.liferay.social.kernel.service",com.liferay.portal.kernel.spri
 ng.aop;version="7.0.0";uses:="com.liferay.portal.kernel.service",com.
 liferay.portal.kernel.spring.orm;version="2.0.0",com.liferay.portal.k
 ernel.spring.osgi;version="2.0.0",com.liferay.portal.kernel.spring.ut
 il;version="7.0.0",com.liferay.portal.kernel.struts;version="8.0.0";u
 ses:="javax.servlet.http",com.liferay.portal.kernel.systemevent;versi
 on="6.2.0",com.liferay.portal.kernel.template;version="15.0.0";uses:=
 "com.liferay.portal.kernel.exception,com.liferay.portal.kernel.xml,ja
 vax.servlet.http",com.liferay.portal.kernel.template.comparator;versi
 on="6.2.0";uses:="com.liferay.portal.kernel.template",com.liferay.por
 tal.kernel.templateparser;version="8.0.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.xml",com.liferay.portal.kernel.terms.of.use;version="1.0.1";uses
 :="javax.servlet.http",com.liferay.portal.kernel.theme;version="10.5.
 0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.json,com.liferay.portal.kernel.mobile.dev
 ice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.module.
 configuration,com.liferay.portal.kernel.portlet.configuration.icon,co
 m.liferay.portal.kernel.portlet.toolbar,com.liferay.portal.kernel.sec
 urity.permission,com.liferay.portal.kernel.util,javax.portlet,javax.s
 ervlet,javax.servlet.http",com.liferay.portal.kernel.transaction;vers
 ion="8.1.0",com.liferay.portal.kernel.trash;version="14.0.0";uses:="c
 om.liferay.asset.kernel.model,com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.search,com.lif
 eray.portal.kernel.search.filter,com.liferay.portal.kernel.security.p
 ermission,com.liferay.portal.kernel.service,com.liferay.portal.kernel
 .util,com.liferay.trash.kernel.model,javax.portlet",com.liferay.porta
 l.kernel.trash.helper;version="1.1.0";uses:="com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.model,javax.portlet,javax.servl
 et.http",com.liferay.portal.kernel.tree;version="2.1.1";uses:="com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model",com.li
 feray.portal.kernel.upgrade;version="21.2.0";uses:="com.liferay.petra
 .lang,com.liferay.portal.kernel.dao.db,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.resource.bundle,com.liferay.portal.ke
 rnel.service,com.liferay.portal.kernel.util,com.liferay.portal.kernel
 .xml,javax.portlet",com.liferay.portal.kernel.upgrade.util;version="1
 2.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.upgrade,com.liferay.portal.kernel.version",com.liferay.portal.kern
 el.upload;version="10.1.0";uses:="com.liferay.portal.kernel.exception
 ,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.upload.c
 onfiguration;version="1.0.0",com.liferay.portal.kernel.url;version="1
 .1.0";uses:="javax.servlet",com.liferay.portal.kernel.url.validator;v
 ersion="1.0.0",com.liferay.portal.kernel.util;version="63.0.0";uses:=
 "com.liferay.expando.kernel.model,com.liferay.mail.kernel.model,com.l
 iferay.petra.process,com.liferay.petra.sql.dsl.query.sort,com.liferay
 .petra.string,com.liferay.portal.kernel.configuration,com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.group.capability,com.l
 iferay.portal.kernel.io,com.liferay.portal.kernel.io.unsync,com.lifer
 ay.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.portlet,com.liferay.portal.kernel.repository.model,com.lif
 eray.portal.kernel.resource.bundle,com.liferay.portal.kernel.security
 .permission,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.settings,com.liferay.portal.kernel.spring.osgi,com.liferay.portal.
 kernel.theme,com.liferay.portal.kernel.upload,com.liferay.portal.kern
 el.xml,javax.mail,javax.mail.internet,javax.portlet,javax.servlet,jav
 ax.servlet.http,javax.sql",com.liferay.portal.kernel.util.comparator;
 version="3.1.0";uses:="com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.portlet.configuration.icon,com.liferay.portal.kernel.util
 ,javax.servlet",com.liferay.portal.kernel.uuid;version="6.2.0",com.li
 feray.portal.kernel.verify.model;version="2.1.0",com.liferay.portal.k
 ernel.version;version="1.1.0",com.liferay.portal.kernel.view.count;ve
 rsion="1.2.0";uses:="com.liferay.petra.sql.dsl,com.liferay.portal.ker
 nel.exception",com.liferay.portal.kernel.webcache;version="7.0.0";use
 s:="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.we
 bdav;version="10.0.0";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.lock,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.webdav.
 methods,com.liferay.portal.kernel.xml,javax.servlet.http",com.liferay
 .portal.kernel.webdav.methods;version="6.2.0";uses:="com.liferay.port
 al.kernel.webdav,javax.servlet.http",com.liferay.portal.kernel.webser
 ver;version="1.0.0",com.liferay.portal.kernel.words;version="2.0.0";u
 ses:="com.liferay.portal.kernel.jazzy",com.liferay.portal.kernel.work
 flow;version="21.0.0";uses:="com.liferay.asset.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.portlet,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.util,com.liferay.portal.kernel.workflow.search,javax.p
 ortlet,javax.servlet.http",com.liferay.portal.kernel.workflow.compara
 tor;version="9.0.0";uses:="com.liferay.portal.kernel.util,com.liferay
 .portal.kernel.workflow",com.liferay.portal.kernel.workflow.permissio
 n;version="7.0.0";uses:="com.liferay.portal.kernel.security.permissio
 n",com.liferay.portal.kernel.workflow.search;version="1.0.0";uses:="c
 om.liferay.portal.kernel.workflow",com.liferay.portal.kernel.xml;vers
 ion="7.1.0";uses:="org.xml.sax",com.liferay.portal.kernel.xml.simple;
 version="6.2.0",com.liferay.portal.kernel.xmlrpc;version="6.2.0";uses
 :="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.zip
 ;version="7.0.0",com.liferay.portlet.configuration.kernel.util;versio
 n="1.0.0";uses:="javax.portlet",com.liferay.ratings.kernel;version="1
 .2.0",com.liferay.ratings.kernel.definition;version="1.1.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.ratings.kernel",com.lif
 eray.ratings.kernel.display.context;version="1.0.0";uses:="com.lifera
 y.portal.kernel.util,com.liferay.ratings.kernel,javax.portlet,javax.s
 ervlet.http",com.liferay.ratings.kernel.exception;version="1.0.0";use
 s:="com.liferay.portal.kernel.exception",com.liferay.ratings.kernel.m
 odel;version="4.1.0";uses:="com.liferay.exportimport.kernel.lar,com.l
 iferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.porta
 l.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.model.change.tracking,com.lif
 eray.portal.kernel.model.wrapper,com.liferay.portal.kernel.util",com.
 liferay.ratings.kernel.service;version="2.8.0";uses:="com.liferay.exp
 ortimport.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql
 .dsl.query,com.liferay.portal.kernel.change.tracking,com.liferay.port
 al.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.search,com.liferay.portal.kernel.security.access.contr
 ol,com.liferay.portal.kernel.service,com.liferay.portal.kernel.servic
 e.change.tracking,com.liferay.portal.kernel.service.persistence,com.l
 iferay.portal.kernel.service.persistence.change.tracking,com.liferay.
 portal.kernel.systemevent,com.liferay.portal.kernel.transaction,com.l
 iferay.portal.kernel.util,com.liferay.ratings.kernel.model",com.lifer
 ay.ratings.kernel.service.persistence;version="4.3.0";uses:="com.life
 ray.portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.lifer
 ay.portal.kernel.service.persistence,com.liferay.portal.kernel.servic
 e.persistence.change.tracking,com.liferay.portal.kernel.util,com.life
 ray.ratings.kernel.exception,com.liferay.ratings.kernel.model",com.li
 feray.ratings.kernel.transformer;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.util,com.liferay.ratings.kernel,com.liferay.ratings.ker
 nel.model,javax.portlet",com.liferay.sites.kernel.util;version="3.0.0
 ";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kerne
 l.model,com.liferay.portal.kernel.security.permission",com.liferay.so
 cial.kernel.exception;version="1.0.0";uses:="com.liferay.portal.kerne
 l.exception",com.liferay.social.kernel.model;version="6.1.0";uses:="c
 om.liferay.asset.kernel.model,com.liferay.petra.sql.dsl,com.liferay.p
 etra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.po
 rtal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.model.change.tracking,com.liferay.portal.kernel.model.wrapper,com
 .liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.secu
 rity.permission,com.liferay.portal.kernel.service,com.liferay.portal.
 kernel.theme,com.liferay.portal.kernel.util",com.liferay.social.kerne
 l.model.impl;version="1.0.0";uses:="com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.security.permission,com.liferay.portal.k
 ernel.service,com.liferay.portal.kernel.theme,com.liferay.social.kern
 el.model",com.liferay.social.kernel.service;version="3.3.0";uses:="co
 m.liferay.asset.kernel.model,com.liferay.petra.function,com.liferay.p
 etra.sql.dsl.query,com.liferay.portal.kernel.change.tracking,com.life
 ray.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.
 liferay.portal.kernel.messaging.async,com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.search,com.liferay.portal.kernel.security.
 access.control,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.service.change.tracking,com.liferay.portal.kernel.service.persi
 stence,com.liferay.portal.kernel.service.persistence.change.tracking,
 com.liferay.portal.kernel.theme,com.liferay.portal.kernel.transaction
 ,com.liferay.portal.kernel.util,com.liferay.social.kernel.model",com.
 liferay.social.kernel.service.permission;version="1.0.0";uses:="com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.security.per
 mission",com.liferay.social.kernel.service.persistence;version="4.3.0
 ";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.
 service,com.liferay.portal.kernel.service.persistence,com.liferay.por
 tal.kernel.service.persistence.change.tracking,com.liferay.portal.ker
 nel.util,com.liferay.social.kernel.exception,com.liferay.social.kerne
 l.model",com.liferay.social.kernel.util;version="1.0.0";uses:="com.li
 feray.portal.kernel.service,com.liferay.social.kernel.model,javax.ser
 vlet.http",com.liferay.social.kernel.util.comparator;version="1.1.0";
 uses:="com.liferay.portal.kernel.util,com.liferay.social.kernel.model
 ",com.liferay.trash.kernel.model;version="6.0.0";uses:="com.liferay.e
 xpando.kernel.model,com.liferay.portal.kernel.annotation,com.liferay.
 portal.kernel.bean,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.util",com.liferay.users.adm
 in.kernel.file.uploads;version="2.0.0",com.liferay.users.admin.kernel
 .organization.types;version="1.0.1",com.liferay.users.admin.kernel.ut
 il;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay
 .portal.kernel.security.permission,com.liferay.portal.kernel.util,jav
 ax.portlet,javax.servlet.http"
Git-Descriptor: 08ad166ff3b72-dirty
Git-SHA: 08ad166ff3b72f6e8934e94fec18652502b309f4
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.2,4.3)",com
 .liferay.asset.kernel.exception;version="[3.0,4)",com.liferay.asset.k
 ernel.model;version="[10.0,10.1)",com.liferay.asset.kernel.service;ve
 rsion="[10.0,10.1)",com.liferay.asset.kernel.service.persistence;vers
 ion="[12.0,13)",com.liferay.counter.kernel.service;version="[2.2,2.3)
 ",com.liferay.document.library.kernel.exception;version="[4.2,5)",com
 .liferay.document.library.kernel.model;version="[8.2,8.3)",com.lifera
 y.document.library.kernel.service;version="[14.0,14.1)",com.liferay.d
 ocument.library.kernel.store;version="[9.0,9.1)",com.liferay.document
 .library.kernel.util;version="[10.0,11)",com.liferay.dynamic.data.map
 ping.kernel;version="[6.0,7)",com.liferay.expando.kernel.exception;ve
 rsion="[2.0,3)",com.liferay.expando.kernel.model;version="[6.0,6.1)",
 com.liferay.expando.kernel.util;version="[5.0,6)",com.liferay.exporti
 mport.kernel.exception;version="[2.1,3)",com.liferay.exportimport.ker
 nel.model;version="[6.0,6.1)",com.liferay.exportimport.kernel.service
 ;version="[2.10,2.11)",com.liferay.exportimport.kernel.staging;versio
 n="[2.3,3)",com.liferay.exportimport.kernel.staging.permission;versio
 n="[1.0,2)",com.liferay.layout.admin.kernel.model;version="[1.0,2)",c
 om.liferay.layout.utility.page.kernel.request.contributor;version="[1
 .0,2)",com.liferay.mail.kernel.model;version="[1.1,2)",com.liferay.ma
 il.kernel.service;version="[5.0,6)",com.liferay.mail.kernel.template;
 version="[2.0,3)",com.liferay.osgi.service.tracker.collections.list,c
 om.liferay.osgi.service.tracker.collections.map,com.liferay.petra.con
 current,com.liferay.petra.executor,com.liferay.petra.function,com.lif
 eray.petra.function.transform,com.liferay.petra.io.unsync,com.liferay
 .petra.lang,com.liferay.petra.memory,com.liferay.petra.nio,com.lifera
 y.petra.process,com.liferay.petra.reflect,com.liferay.petra.sql.dsl,c
 om.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.base,com.lifer
 ay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query,com.lifer
 ay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi.ast,com.lif
 eray.petra.sql.dsl.spi.expression,com.liferay.petra.sql.dsl.spi.query
 ,com.liferay.petra.string,com.liferay.portal.kernel.annotation;versio
 n="[7.0,8)",com.liferay.portal.kernel.application.type;version="[1.0,
 2)",com.liferay.portal.kernel.backgroundtask;version="[11.0,12)",com.
 liferay.portal.kernel.backgroundtask.display;version="[3.0,4)",com.li
 feray.portal.kernel.bean;version="[10.1,11)",com.liferay.portal.kerne
 l.cache.thread.local;version="[2.0,3)",com.liferay.portal.kernel.cal;
 version="[7.0,8)",com.liferay.portal.kernel.change.tracking;version="
 [2.2,3)",com.liferay.portal.kernel.change.tracking.sql;version="[1.0,
 2)",com.liferay.portal.kernel.comment;version="[5.1,5.2)",com.liferay
 .portal.kernel.concurrent;version="[8.1,9)",com.liferay.portal.kernel
 .configuration;version="[7.0,8)",com.liferay.portal.kernel.cookies;ve
 rsion="[3.1,4)",com.liferay.portal.kernel.dao.db;version="[14.0,15)",
 com.liferay.portal.kernel.dao.orm;version="[12.0,12.1)",com.liferay.p
 ortal.kernel.dao.search;version="[9.0,10)",com.liferay.portal.kernel.
 db.partition;version="[1.0,2)",com.liferay.portal.kernel.dependency.m
 anager;version="[3.0,4)",com.liferay.portal.kernel.deploy.auto.contex
 t;version="[7.0,8)",com.liferay.portal.kernel.deploy.hot;version="[7.
 1,8)",com.liferay.portal.kernel.exception;version="[13.3,14)",com.lif
 eray.portal.kernel.frontend.esm;version="[1.0,2)",com.liferay.portal.
 kernel.image;version="[12.0,13)",com.liferay.portal.kernel.increment;
 version="[7.1,8)",com.liferay.portal.kernel.io;version="[9.0,10)",com
 .liferay.portal.kernel.io.unsync;version="[8.0,9)",com.liferay.portal
 .kernel.jazzy;version="[1.0,2)",com.liferay.portal.kernel.jmx.model;v
 ersion="[7.0,8)",com.liferay.portal.kernel.jndi;version="[7.0,8)",com
 .liferay.portal.kernel.json;version="[12.1,13)",com.liferay.portal.ke
 rnel.jsonwebservice;version="[9.0,10)",com.liferay.portal.kernel.lang
 uage;version="[11.0,12)",com.liferay.portal.kernel.language.constants
 ;version="[1.0,2)",com.liferay.portal.kernel.license;version="[1.0,2)
 ",com.liferay.portal.kernel.lock;version="[9.0,10)",com.liferay.porta
 l.kernel.management;version="[8.0,9)",com.liferay.portal.kernel.messa
 ging;version="[17.0,17.1)",com.liferay.portal.kernel.messaging.async;
 version="[6.2,7)",com.liferay.portal.kernel.mobile.device;version="[9
 .0,9.1)",com.liferay.portal.kernel.model.adapter.builder;version="[1.
 0,2)",com.liferay.portal.kernel.model.change.tracking;version="[3.0,4
 )",com.liferay.portal.kernel.model.dao;version="[2.5,3)",com.liferay.
 portal.kernel.model.impl;version="[7.4,8)",com.liferay.portal.kernel.
 model.portlet;version="[2.0,3)",com.liferay.portal.kernel.model.versi
 on;version="[3.0,4)",com.liferay.portal.kernel.model.wrapper;version=
 "[3.0,4)",com.liferay.portal.kernel.module.configuration;version="[2.
 1,3)",com.liferay.portal.kernel.module.framework;version="[2.0,3)",co
 m.liferay.portal.kernel.plugin;version="[7.0,8)",com.liferay.portal.k
 ernel.pop;version="[7.0,8)",com.liferay.portal.kernel.portlet.bridges
 .mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.portlet.co
 nfiguration.icon.locator;version="[1.0,2)",com.liferay.portal.kernel.
 portlet.toolbar.contributor;version="[1.1,2)",com.liferay.portal.kern
 el.portlet.toolbar.contributor.locator;version="[1.0,2)",com.liferay.
 portal.kernel.repository;version="[13.0,14)",com.liferay.portal.kerne
 l.repository.capabilities;version="[3.0,3.1)",com.liferay.portal.kern
 el.repository.event;version="[1.1,2)",com.liferay.portal.kernel.repos
 itory.http.header.customizer;version="[1.0,2)",com.liferay.portal.ker
 nel.repository.model;version="[11.2,11.3)",com.liferay.portal.kernel.
 repository.registry;version="[1.1,2)",com.liferay.portal.kernel.repos
 itory.search;version="[7.0,8)",com.liferay.portal.kernel.resource;ver
 sion="[6.3,7)",com.liferay.portal.kernel.resource.manager;version="[1
 .0,2)",com.liferay.portal.kernel.scheduler;version="[18.1,19)",com.li
 feray.portal.kernel.scheduler.messaging;version="[10.0,11)",com.lifer
 ay.portal.kernel.search.background.task;version="[2.1,3)",com.liferay
 .portal.kernel.search.facet;version="[9.0,10)",com.liferay.portal.ker
 nel.search.facet.collector;version="[6.3,7)",com.liferay.portal.kerne
 l.search.facet.config;version="[8.0,9)",com.liferay.portal.kernel.sea
 rch.facet.util;version="[7.0,8)",com.liferay.portal.kernel.search.fil
 ter;version="[1.0,2)",com.liferay.portal.kernel.search.generic;versio
 n="[3.0,4)",com.liferay.portal.kernel.search.geolocation;version="[1.
 0,2)",com.liferay.portal.kernel.search.highlight;version="[1.0,2)",co
 m.liferay.portal.kernel.search.hits;version="[2.0,3)",com.liferay.por
 tal.kernel.search.query;version="[2.0,3)",com.liferay.portal.kernel.s
 earch.result;version="[1.0,2)",com.liferay.portal.kernel.search.sugge
 st;version="[3.1,4)",com.liferay.portal.kernel.security;version="[6.2
 ,7)",com.liferay.portal.kernel.security.auth.tunnel;version="[1.0,2)"
 ,com.liferay.portal.kernel.security.auth.verifier;version="[2.0,3)",c
 om.liferay.portal.kernel.security.permission.contributor;version="[1.
 0,2)",com.liferay.portal.kernel.security.permission.propagator;versio
 n="[1.0,2)",com.liferay.portal.kernel.security.permission.resource.de
 finition;version="[1.0,2)",com.liferay.portal.kernel.security.pwd;ver
 sion="[4.0,5)",com.liferay.portal.kernel.security.xml;version="[2.0,3
 )",com.liferay.portal.kernel.service.change.tracking;version="[1.0,2)
 ",com.liferay.portal.kernel.service.configuration;version="[1.1,1.2)"
 ,com.liferay.portal.kernel.service.persistence;version="[22.1,23)",co
 m.liferay.portal.kernel.service.persistence.change.tracking;version="
 [1.4,2)",com.liferay.portal.kernel.servlet.filters.compoundsessionid;
 version="[7.0,8)",com.liferay.portal.kernel.settings.definition;versi
 on="[2.0,3)",com.liferay.portal.kernel.spring.aop;version="[7.0,8)",c
 om.liferay.portal.kernel.spring.orm;version="[2.0,3)",com.liferay.por
 tal.kernel.spring.osgi;version="[2.0,3)",com.liferay.portal.kernel.sy
 stemevent;version="[6.2,7)",com.liferay.portal.kernel.trash.helper;ve
 rsion="[1.1,2)",com.liferay.portal.kernel.upgrade;version="[21.2,22)"
 ,com.liferay.portal.kernel.upgrade.util;version="[12.0,13)",com.lifer
 ay.portal.kernel.upload;version="[10.1,11)",com.liferay.portal.kernel
 .util.comparator;version="[3.1,4)",com.liferay.portal.kernel.uuid;ver
 sion="[6.2,7)",com.liferay.portal.kernel.version;version="[1.1,2)",co
 m.liferay.portal.kernel.webdav.methods;version="[6.2,7)",com.liferay.
 portal.kernel.webserver;version="[1.0,2)",com.liferay.portal.kernel.w
 orkflow.permission;version="[7.0,8)",com.liferay.portal.kernel.workfl
 ow.search;version="[1.0,2)",com.liferay.portal.kernel.xml;version="[7
 .1,7.2)",com.liferay.portal.kernel.xml.simple;version="[6.2,7)",com.l
 iferay.portal.kernel.xmlrpc;version="[6.2,7)",com.liferay.portal.kern
 el.zip;version="[7.0,8)",com.liferay.ratings.kernel;version="[1.2,2)"
 ,com.liferay.ratings.kernel.exception;version="[1.0,2)",com.liferay.r
 atings.kernel.model;version="[4.1,4.2)",com.liferay.ratings.kernel.se
 rvice;version="[2.8,2.9)",com.liferay.ratings.kernel.transformer;vers
 ion="[1.0,2)",com.liferay.sites.kernel.util;version="[3.0,4)",com.lif
 eray.social.kernel.exception;version="[1.0,2)",com.liferay.social.ker
 nel.model;version="[6.1,6.2)",com.liferay.social.kernel.service;versi
 on="[3.3,3.4)",com.liferay.social.kernel.service.persistence;version=
 "[4.3,5)",com.liferay.trash.kernel.model;version="[6.0,6.1)",com.life
 ray.users.admin.kernel.file.uploads;version="[2.0,3)",javax.mail,java
 x.mail.internet,javax.management,javax.naming,javax.naming.directory,
 javax.net.ssl,javax.portlet,javax.portlet.annotations,javax.portlet.f
 ilter,javax.security.auth,javax.security.auth.callback,javax.security
 .auth.login,javax.security.auth.spi,javax.servlet,javax.servlet.http,
 javax.sql,javax.xml.namespace,javax.xml.parsers,javax.xml.stream,java
 x.xml.transform,org.osgi.framework,org.osgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Sep 01 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Tue Jun 17 08:04:04 PDT 2025
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 92 (Cavanaugh / Build 7413 / September 1, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 92
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
